Bug 1128226 - Rpm repo create --help
Summary: Rpm repo create --help
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Pulp
Classification: Retired
Component: documentation
Version: 2.4 Beta
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: ---
: 2.6.0
Assignee: Ina Panova
QA Contact: Irina Gulina
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-08 15:58 UTC by Preethi Thomas
Modified: 2015-02-28 22:14 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-28 22:14:55 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Pulp Redmine 485 None None None Never

Description Preethi Thomas 2014-08-08 15:58:45 UTC
Description of problem:

pulp-admin rpm repo create --help has  section called

Repository Contents Behavior

I feel 

Repository Content Behavior  (content instead of contents) is more appropriate.




Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Ina Panova 2014-11-18 15:49:03 UTC
https://github.com/pulp/pulp/pull/1318

Comment 2 Chris Duryee 2014-11-19 20:18:46 UTC
This PR is was closed without merging. Should this BZ move back to NEW state?

Comment 3 Ina Panova 2014-11-24 17:31:17 UTC
https://github.com/pulp/pulp/pull/1316 - sorry this is the link to the merged PR.

This commit is in master and 2.6-dev, changing state to MODIFIED and setting target release.

Comment 4 Chris Duryee 2014-12-23 20:52:33 UTC
fixed in pulp 2.6.0-0.2.beta

Comment 5 Irina Gulina 2014-12-24 22:17:40 UTC
>> rpm -qa | grep pulp-server
pulp-server-2.6.0-0.2.beta.el6.noarch

>> pulp-admin rpm repo create --help
....
Throttling
  --max-downloads - maximum number of downloads that will run concurrently
  --max-speed     - maximum bandwidth used per download thread, in bytes/sec,
                    when synchronizing the repo

Repository Content Behavior
  --remove-missing   - if "true", units that were previously in the external
                       feed but are no longer found will be removed from the
                       repository; defaults to false
  --retain-old-count - count indicating how many non-latest versions of a unit
                       to keep in a repository
....

Comment 6 Brian Bouterse 2015-02-28 22:14:55 UTC
Moved to https://pulp.plan.io/issues/485


Note You need to log in before you can comment on or make changes to this bug.